using Framework.Entities;
using Framework.InteractionSystem;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.ActorComponents
{
    public enum KeyState {Pressed, Released, Up, Down}

    // TODO, Comment
    public class KeyAction : CoreAction
    {
        private KeyState keyState;

        public KeyAction(CoreBehaviour sender, KeyState keyState)
            : base(sender)
        {
            this.keyState = keyState;
        }

        public KeyState GetKeyState()
        {
            return this.keyState;
        }

        public override string ToString()
        {
            return GetType().Name + " [KeyState: " + this.keyState.ToString() + "]";
        }
    }
}
